AntiFeatures:
    NonFreeNet:
        en-US: Streamed content is obtained from YouTube.
Categories:
  - Internet
  - Multimedia
License: GPL-3.0-or-later
AuthorName: Team NewPipe
AuthorEmail: tnp@schabi.org
WebSite: https://newpipe.net
SourceCode: https://github.com/TeamNewPipe/NewPipe-legacy
IssueTracker: https://github.com/TeamNewPipe/NewPipe-legacy/issues
Translation: https://hosted.weblate.org/projects/newpipe/
Changelog: https://github.com/TeamNewPipe/NewPipe-legacy/releases
Donate: https://newpipe.net/donate
Liberapay: TeamNewPipe
Bitcoin: 16A9J59ahMRqkLSZjhYj33n9j3fMztFxnh

AutoName: NewPipe Legacy

RepoType: git
Repo: https://github.com/TeamNewPipe/NewPipe-legacy

Builds:
  - versionName: 0.15.1
    versionCode: 1
    commit: v0.15.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.1
    versionCode: 10
    commit: v0.16.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.2
    versionCode: 20
    commit: v0.16.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.17.1
    versionCode: 30
    disable: 'PlaylistFragment.java:44: error: cannot find symbol'
    commit: v0.17.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.0
    versionCode: 40
    commit: v0.18.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.1-rc.1
    versionCode: 41
    commit: v0.18.1-rc.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.2
    versionCode: 50
    commit: v0.18.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.6
    versionCode: 60
    commit: v0.18.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.4
    versionCode: 70
    disable: DOS endlines in gradle.properties
    commit: v0.19.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.5
    versionCode: 80
    disable: DOS endlines in gradle.properties
    commit: v0.19.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.8
    versionCode: 90
    commit: v0.19.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.1
    versionCode: 100
    commit: v0.20.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.2
    versionCode: 110
    commit: v0.20.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.8
    versionCode: 120
    commit: v0.20.8
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.20.8
CurrentVersionCode: 120
